import request from "./index"

//保存应用算法
export const savePageAlg = (data:any) => request({
    url: '/data/api-s/sdk/save',
    method: 'post',
    data
});

//保存应用算法版本
export const savePageAlgVersion = (data:any) => request({
    url: '/data/api-s/sdk/version/save',
    method: 'post',
    data
});

//分页获取所有应用算法
export const getAllPageAlg = (data:any) => request({
    url: '/data/api-s/sdk/pageList',
    method: 'post',
    data
});
//删除应用算法
export const delPageAlg = (id:String) => request({
    url: '/data/api-s/sdk/delete',
    method: 'post',
    data: {id}
});

//删除应用算法版本
export const delPageAlgVersion = (id:String) => request({
    url: '/data/api-s/sdk/version/delete',
    method: 'post',
    data: {id}
});

//编辑回显应用算法
export const showPageAlgDetail = (data: any) => request({
    url: '/data/api-s/sdk/show',
    method: 'post',
    data
})

//保存基础算法
export const saveBaseAlg = (data:any) => request({
    url: '/data/api-s/sdk/base/save',
    method: 'post',
    data
});

//获取所有基础算法
export const findAllBaseAlg = (data:any) => request({
    url: '/data/api-s/sdk/base/findAll',
    method: 'post',
    data
});

//查找底层算法的所有版本
export const findBaseAlgVersions = (data:any) => request({
    url: '/data/api-s/sdk/base/versions',
    method: 'post',
    data
});

//删除基础算法
export const deleteBaseAlg = (id:String) => request({
    url: '/data/api-s/sdk/base/delete',
    method: 'post',
    data: {id}
});

//获取so列表
export const getAllSO = () => request({
    url: '/data/api-s/sdk/findRuleSoList',
    method: 'post'
})